#ifndef INCLUDED_phoenix_BlendMode
#define INCLUDED_phoenix_BlendMode

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS1(phoenix,BlendMode)
namespace phoenix{


class BlendMode_obj : public hx::EnumBase_obj
{
	typedef hx::EnumBase_obj super;
		typedef BlendMode_obj OBJ_;

	public:
		BlendMode_obj() {};
		HX_DO_ENUM_RTTI;
		static void __boot();
		static void __register();
		::String GetEnumName( ) const { return HX_CSTRING("phoenix.BlendMode"); }
		::String __ToString() const { return HX_CSTRING("BlendMode.") + tag; }

		static ::phoenix::BlendMode dst_alpha;
		static inline ::phoenix::BlendMode dst_alpha_dyn() { return dst_alpha; }
		static ::phoenix::BlendMode dst_color;
		static inline ::phoenix::BlendMode dst_color_dyn() { return dst_color; }
		static ::phoenix::BlendMode one;
		static inline ::phoenix::BlendMode one_dyn() { return one; }
		static ::phoenix::BlendMode one_minus_dst_alpha;
		static inline ::phoenix::BlendMode one_minus_dst_alpha_dyn() { return one_minus_dst_alpha; }
		static ::phoenix::BlendMode one_minus_dst_color;
		static inline ::phoenix::BlendMode one_minus_dst_color_dyn() { return one_minus_dst_color; }
		static ::phoenix::BlendMode one_minus_src_alpha;
		static inline ::phoenix::BlendMode one_minus_src_alpha_dyn() { return one_minus_src_alpha; }
		static ::phoenix::BlendMode one_minus_src_color;
		static inline ::phoenix::BlendMode one_minus_src_color_dyn() { return one_minus_src_color; }
		static ::phoenix::BlendMode src_alpha;
		static inline ::phoenix::BlendMode src_alpha_dyn() { return src_alpha; }
		static ::phoenix::BlendMode src_alpha_saturate;
		static inline ::phoenix::BlendMode src_alpha_saturate_dyn() { return src_alpha_saturate; }
		static ::phoenix::BlendMode src_color;
		static inline ::phoenix::BlendMode src_color_dyn() { return src_color; }
		static ::phoenix::BlendMode zero;
		static inline ::phoenix::BlendMode zero_dyn() { return zero; }
};

} // end namespace phoenix

#endif /* INCLUDED_phoenix_BlendMode */ 
